#include "myline.h"

MyLine::MyLine(QObject *parent): QObject(parent), QGraphicsItem()
{

}

MyLine::~MyLine()
{

}

void MyLine::setPoint(QPointF beginP, QPointF endP)
{
    p1 = beginP;
    p2 = endP;
}

void MyLine::setEndPoint(QPointF endPoint)
{
    p2 = endPoint;
    update();
}

QRectF MyLine::boundingRect() const
{
    QPointF topLeft = QPointF(p1.x() < p2.x() ? p1.x() : p2.x(),
                              p1.y() < p2.y() ? p1.y() : p2.y());
    QPointF rightBootom = QPointF(p1.x() > p2.x() ? p1.x() : p2.x(),
                                  p1.y() > p2.y() ? p1.y() : p2.y());
    return QRectF(topLeft, rightBootom);
}

void MyLine::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)
{
    QPen pen;

    pen.setWidth(5);
    pen.setBrush(Qt::black);

    painter->setPen(pen);

    if (p1 == p2)
    {
        painter->drawPoint(p1);
    }
    else
    {
        painter->drawLine(p1, p2);
    }
}

